/* retune's up a fifth */

#include "cmtprog.h"
#include "midicode.h"

keydown(chan, pitch, vel) {
	midi_note(chan, pitch+7, vel);
}

keyup(chan, pitch) {
	midi_note(chan, pitch+7, 0);
}

ctrlchange(ch, c, val) {
	midi_ctrl(ch, c, val);
}

peddown(ch) {
	midi_ctrl(ch, SUSTAIN, 127);
}

pedup(ch) {
	midi_ctrl(ch, SUSTAIN, 0);
}

prgmchange(ch, program) {
	midi_program(ch, program);
}

mainscore() {
	midi_thru(false);
	cause(1000, mainscore);
}
