/* midiparse.h -- parser for incoming midi data */

void process_byte(int c);	/* called by interrupt handler */
extern int midi_error;

/* error bits which may be set in midi_error */
#define UNEXPECTED_OP			 1
#define DATA_OVERRUN			 2
#define EXCLUSIVE_DATA_OVERRUN	 4
#define UNDEFINED_OP			 8	/* should never happen */
#define STATE_ERR				16	/* should never happen */
#define UNWANTED_DATA			32	/* should never happen */
