/* mpu.h -- definitions for users of mpu.c */

#define MAX_CHANNELS 16

void		exclusive(boolean onflag);
boolean		getbuf(boolean waitflag, byte *p);
int			getkey(boolean waitflag, int *velocity);
ulong		gettime(void);
void		l_rest(ulong dur);
void		l_restuntil(ulong absTime);
void		metronome(int onflag);
void		midi_bend(int voice, int value);
boolean		midi_buffer(byte *buffer, int size);
void		midi_cont(boolean onflag);
void		midi_ctrl(int voice, int control, int value);
void		midi_exclusive(int port, byte *msg);
void		midi_note(int voice, int pitch, int velocity);
void		midi_program(int voice, int program);
void		midi_thru(boolean onflag);
void		midi_touch(int voice, int value);
void		mpuexists(boolean flag);
void		musicinit(void);
void		musicterm(void);
int			random(int lo, int hi);
void		read_tuning(char *filename);
void		settime(ulong newTime);
void		synth_init(void);
void		timereset(void);
void		trace(boolean flag);
void		tracemidi(boolean flag);
