/* switches.h  -- compile time switches for CMT */

/* LIGHTSPEED -- define if building CMT on Lightspeed C */
#define LIGHTSPEED 1

/* MPW -- define if building CMT on MPW */
/* #define MPW */

/* APPLICATION -- define if building CMT as an application */
#define APPLICATION 1

/* memory space management (system dependent):
 *	SPACE_FOR_PLAY must be enough space to allow
 *	the all code packs for performance and recording to be
 *	kept in memory
 */

#ifdef CMT
#define SPACE_FOR_PLAY 10000L
#endif

#ifdef LIGHTSPEED
#define SPACE_FOR_PLAY 10000L
#endif
